Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.adaptor.http
Class HtmlAdaptorServer

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.adaptor.http.HtmlAdaptorServer

All Implemented Interfaces:
  HtmlAdaptorServerMBean, MBeanRegistration

public class HtmlAdaptorServer
extends java.lang.Object
implements HtmlAdaptorServerMBean, MBeanRegistration

Author:
  Young Yang

Constructor Summary
`HtmlAdaptorServer()`

Method Summary
`java.lang.String` | `getHost()`
`int` | `getPort()`
`static void` | `main(java.lang.String[] args)`
`void` | `postDeregister()` Allows the MBean to perform any operations needed after having been de-registered in the MBean server.
`void` | `postRegister(java.lang.Boolean boolean1)` Allows the MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.
`void` | `preDeregister()` Allows the MBean to perform any operations it needs before being de-registered by the MBean server.
`ObjectName` | `preRegister(MBeanServer mbeanServer, ObjectName objectName)` Allows the MBean to perform any operations it needs before being registered in the MBean server.
`void` | `setPort(int port)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlAdaptorServer

    public HtmlAdaptorServer()

Method Detail

### stop

    public void stop()

  Specified by:
    `stop` in interface `HtmlAdaptorServerMBean`

### start

    public void start()

  Specified by:
    `start` in interface `HtmlAdaptorServerMBean`

### setPort

    public void setPort(int port)

### getPort

    public int getPort()

### getHost

    public java.lang.String getHost()

### preRegister

    public ObjectName preRegister(MBeanServer mbeanServer,
                                  ObjectName objectName)
                           throws java.lang.Exception

  Description copied from interface: `MBeanRegistration`
  Allows the MBean to perform any operations it needs before being registered in the MBean server. If the name of the MBean is not specified, the MBean can provide a name for its registration. If any exception is raised, the MBean will not be registered in the MBean server.
  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Following copied from interface: `javax.management.MBeanRegistration`
  Parameters:
    `server` - The MBean server in which the MBean will be registered.
    `name` - The object name of the MBean.
  Returns:
    The name of the MBean registered.
  Throws:
    `java.lang.Exception` - This exception should be caught by the MBean server and re-thrown as an `MBeanRegistrationException`.

### postRegister

    public void postRegister(java.lang.Boolean boolean1)

  Description copied from interface: `MBeanRegistration`
  Allows the MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.
  Specified by:
    `postRegister` in interface `MBeanRegistration`
  Following copied from interface: `javax.management.MBeanRegistration`
  Parameters:
    `registrationDone` - Indicates whether or not the MBean has been successfully registered in the MBean server. The value false means that the registration phase has failed.

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Description copied from interface: `MBeanRegistration`
  Allows the MBean to perform any operations it needs before being de-registered by the MBean server.
  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Following copied from interface: `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception` - This exception should be caught by the MBean server and re-thrown as an `MBeanRegistrationException`.

### postDeregister

    public void postDeregister()

  Description copied from interface: `MBeanRegistration`
  Allows the MBean to perform any operations needed after having been de-registered in the MBean server.
  Specified by:
    `postDeregister` in interface `MBeanRegistration`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD